Subject: Re: Elementary Problem with find
From: [email-masked] (Larry Hall)

22 Oct 1997 08:33:35 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: GBradfor <[email-masked]>, [email-masked]

At 02:53 PM 10/21/97 -0500, GBradfor wrote:
>     This is, more than likely, a true newbie problem.  I've searched the 
>     back issues of the mailing list, and there are no other reports of 
>     this problem.  So, it's probably just me; but just in case...
>     
>     find is failing to take valid command strings.  I am running b18 under 
>     Windows95.
>     
>     Example case:
>        find . -name *.c -print
>     
>     The cygwin32 version gives the following error:
>        FIND:  Parameter format not correct
>     
>     Running this same command on my Linux box gives the appropriate file 
>     listing.  
>     
>     I have also tried variations on this same theme:
>        find <absolute path name (with both '\' and '/')> -name *.c -print
>        find -name *.c -print     /* no starting pathname; use present */
>                                  /* directory as default.             */
>        find . -name "*.c" -print
>        find . -name '*.c' -print
>     
>     The most interesting was:
>        find "<absolute pathname>" -name *.c -print
>     find ignored what was in quotes and interpretted everything else as 
>     search paths.
>     
>     Any suggestions on this?
>     
>     /s/
>     Pat Bradford
>     
>     Reply to:
>     [email-masked]
>          AND/OR
>     [email-masked]

Are you sure you are getting the gnuwin32 version of find and not the 
Windows version?  The error you get seems to indicate this.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                             

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".